extends Scene


func _on_waterfall_and_pool_interacted() -> void:
	$kq4_024_waterfall_and_pool.default_script(self)


func _on_mountain_path_to_dark_castle_interacted() -> void:
	$kq4_079_mountain_path_to_dark_castle.default_script(self)


func _on_dense_forest_interacted() -> void:
	$kq4_029_dense_forest.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("A mountain range rises to the east from the forest. A narrow path winds steeply up the side of it.")
	).build(self, "_on_script_complete"))


func _on_mountain_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("Jagged mountain peaks rise above. The path looks treacherous.")
	).build(self, "_on_script_complete"))
